I=(S=Uno.IndexOutOfRangeException = function(){
}).prototype = new Uno.Exception;

S.$0 = function($this) {
    if (!$this) $this = new Uno.IndexOutOfRangeException;
    Uno.Exception.$0("Index out of range", $this);
    return $this;
};
